import 'package:either_dart/either.dart';

import '../entities/auth_user.dart';
import '../entities/failures/failure.dart';

abstract class AuthRepository {
  /// Returns a [AuthUser] object with the information of logged User.
  /// If the user is not logged, returns null.
  Future<Either<Failure, AuthUser?>> getLoggedUser();

  Future<Either<Failure, AuthUser>> signInWithGoogle();

  Future<Either<Failure, void>> signOutUser();
}
