import 'package:cookbook/domain/entities/auth_user.dart';
import 'package:cookbook/domain/entities/failures/failure.dart';
import 'package:cookbook/domain/repo/auth_repository.dart';
import 'package:either_dart/either.dart';

class LoginUserUsecase {
  final AuthRepository _repository;

  LoginUserUsecase(this._repository);

  Future<Either<Failure, AuthUser?>> execute() async {
    return await _repository.signInWithGoogle();
  }
}
