import 'package:cookbook/domain/entities/auth_user.dart';
import 'package:cookbook/domain/entities/failures/failure.dart';
import 'package:cookbook/domain/repo/auth_repository.dart';
import 'package:either_dart/either.dart';


class SignOutUserUsecase {
  final AuthRepository _repository;

  SignOutUserUsecase(this._repository);

  Future<Either<Failure, void>> execute() async {
    return await _repository.signOutUser();
  }
}