import 'package:cookbook/screens/home_screen/home_screen_bindings.dart';
import 'package:cookbook/util/dependency_creator.dart';
import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';
import 'package:cookbook/screens/home_screen/home_screen.dart';
import 'package:get_storage/get_storage.dart';
import 'package:get/get.dart';



void main() async {
  await GetStorage.init();
  WidgetsFlutterBinding.ensureInitialized();
  await Firebase.initializeApp(
    options: const FirebaseOptions(
    apiKey: "AIzaSyDSZ1paBMN_kWWqClcn7B2yVwOhoYg1paU",
    appId: "1:835389409527:android:ff1b73b97f788be0e7abf2",
    messagingSenderId: "835389409527",
    projectId: "recipebook-68fea",
    )
  );

  DependencyCreator.init();
  runApp(const RecipeBookApp());
}

class RecipeBookApp extends StatelessWidget {
  const RecipeBookApp({super.key});
  
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: 'Recipe Book',
      theme: ThemeData(
        primarySwatch: Colors.orange,
      ),
      initialRoute: '/',
      defaultTransition: Transition.fadeIn,
      getPages: [
        GetPage
        (name: '/',
        page: () => const HomeScreen(),
        binding: HomeScreenBindings(),
        ),
      ],
      debugShowCheckedModeBanner: false,
    );
  }
}