import 'package:cookbook/domain/usecases/get_logged_user_usecase.dart';
import 'package:cookbook/domain/usecases/login_user_usecase.dart';
import 'package:cookbook/domain/usecases/signout_user_usecase.dart';
import 'package:cookbook/screens/home_screen/home_controller.dart';
import 'package:get/get.dart';



class HomeScreenBindings extends Bindings {
  @override
  void dependencies() {
    Get.put(GetLoggedUserUsecase(Get.find()));
    Get.put(LoginUserUsecase(Get.find()));
    Get.put(SignOutUserUsecase(Get.find()));

    Get.put<HomeController>(HomeController(
      loginUserUsecase: Get.find(),
      getLoggedUserUsecase: Get.find(),
      signOutUserUsecase: Get.find(),
    ));
  }
}